Bug 1853352 - [v2v][UI] Storage Class fields Should Not be empty in VM disks view
Summary: [v2v][UI] Storage Class fields Should Not be empty in VM disks view
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Filip Krepinsky
QA Contact: Amos Mastbaum
URL:
Whiteboard: v2v
: 1895934 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-02 13:15 UTC by Amos Mastbaum
Modified: 2021-02-24 15:15 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Storage Class has not been propagating to VM disk list from PVCs for DataVolume source Fix & Result: Storage Class is visible in VM disk list
Clone Of:
Environment:
Last Closed: 2021-02-24 15:13:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 5880 0 None closed kubevirt: show pvc size and storage class when available in VM disks 2021-02-15 15:55:06 UTC
Github openshift console pull 7640 0 None closed Bug 1853352: update CDI version to v1beta1 2021-02-15 15:55:06 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:15:16 UTC

Comment 3 Tomas Jelinek 2020-09-23 12:48:08 UTC
not a blocker, moving to 4.7

Comment 4 Filip Krepinsky 2020-09-24 09:46:24 UTC
this was caused by a change of CDI version to beta

Comment 6 Yaacov Zamir 2020-12-14 11:25:53 UTC
*** Bug 1895934 has been marked as a duplicate of this bug. ***

Comment 9 Ilanit Stein 2020-12-27 12:25:01 UTC
Verified on Openshift 4.7.0-fc.0

The storage class is displayed in VM disk view, though the storage class was not specified in the VM import wizard (The Default storage class was picked).

Comment 12 errata-xmlrpc 2021-02-24 15:13:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.